/*
Licensed Materials - Property of IBM
5725-C94, 5725-C95, 5725-C96, 5655-Y02
© Copyright IBM Corporation 2012. All Rights Reserved.
This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer 
(a) for its own instruction and study, (b) in order to develop applications designed to run with an IBM product, 
either for customer's own internal use or for redistribution by customer, as part of such an application, in customer's 
own products.
*/

package com.ibm.bpm.integration.filenet;

public enum BPMEventType {
    CheckedIn,
    CheckedOut,
    CheckOutCanceled,
    ClassChanged,
    ClassifyCompleted,
    Created,
    Deleted,
    Filed,
    Frozen,
    Locked,
    PublishCompleted,
    PublishRequested,
    SecurityUpdated,
    StateChanged,
    Unfiled,
    Unlocked,
    Updated,
    VersionDemoted,
    VersionPromoted;
}
